unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    RichEdit1: TRichEdit;
    Panel1: TPanel;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    ComboBox1: TComboBox;
    Label1: TLabel;
    SaveDialog1: TSaveDialog;
    ADD: TButton;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure ADDClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  Start : TDateTime;
begin
  if OpenDialog1.Execute then
  begin
    Screen.Cursor := crHourGlass;
    Start := Time;
    try
      RichEdit1.Lines.LoadFromFile(OpenDialog1.FileName);
    finally
      Screen.Cursor := crDefault;
    end;
    Label2.Caption := 'Time: '+TimeToStr(Time - Start);
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  RichEdit1.Lines.Clear;
  RichEdit1.Clear;
  RichEdit1.MaxLength := 1073741824;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  RichEdit1.Lines.Clear;
  RichEdit1.Clear;
  RichEdit1.MaxLength := 0;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  RichEdit1.Lines.Clear;
  RichEdit1.Clear;
  RichEdit1.MaxLength := 2147483647;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  ComboBox1.ItemIndex := 3;
end;

procedure TForm1.Button5Click(Sender: TObject);
var
  f : textfile;
  Poc, az : integer;
  pomstr : string;
  Start : TDateTime;
begin
  if SaveDialog1.Execute then
  begin
    Start := Time;
    Screen.Cursor := crHourGlass;
    try
      assignfile(f,SaveDialog1.Filename);
      Rewrite(f);
      try
        try
          poc := 0;
          az  := strToInt(ComboBox1.Items[ComboBox1.ItemIndex]) *1024;
          while poc*50 < az do
          begin
            Pomstr := IntToStr(Poc);
            Pomstr := PomStr + '                                      ';
            while length(Pomstr) < 47 do
              Pomstr := PomStr + ' ';
            Pomstr := PomStr + '*';
            writeln(f, pomstr);
            poc := poc + 1;
          end;
        finally
          CloseFile(f);
        end;
      except
        on E:Exception do
          MessageDlg('Exception in writing file .... Mesage: '+ E.Message, mtInformation,[mbOk], 0);
      end;
    finally
      Screen.Cursor := crDefault;
    end;
    Label2.Caption := 'Time: '+TimeToStr(Time - Start);
  end;
end;

procedure TForm1.ADDClick(Sender: TObject);
var
  f : textfile;
  pomstr : string;
  Start : TDateTime;
begin
  RichEdit1.Lines.Clear;
  RichEdit1.Clear;
  Start := Time;
  if OpenDialog1.Execute then
  begin
    Screen.Cursor := crHourGlass;
    try
      assignfile(f,OpenDialog1.Filename);
      Reset(f);
      try
        try
          while not eof(f) do
          begin
            Readln(f, pomstr);
            RichEdit1.Lines.Add(pomstr);
          end;
        finally
          CloseFile(f);
        end;
      except
        on E:Exception do
          MessageDlg('Exception in writing file .... Message: '+ E.Message, mtInformation,[mbOk], 0);
      end;
    finally
      Screen.Cursor := crDefault;
    end;
    Label2.Caption := 'Time: '+TimeToStr(Time - Start);
  end;
end;

end.
